package com.payneteasy.superfly.security_2_0.authentication;

import com.payneteasy.superfly.api.SSORole;
import com.payneteasy.superfly.api.SSOUser;
import com.payneteasy.superfly.security_2_0.SuperflyAuthenticationProvider;

/**
 * Authentication implementation which is used as an authentication request to
 * SuperflyAuthenticationProvider on the final stage of authentication.
 * 
 * @author Roman Puchkovskiy
 * @see SuperflyAuthenticationProvider
 */
public class SSOUserAndSelectedRoleAuthenticationToken extends EmptyAuthenticationToken {
	private static final long serialVersionUID = -3043969728081312772L;
	
	private SSOUser ssoUser;
	private SSORole ssoRole;

	public SSOUserAndSelectedRoleAuthenticationToken(SSOUser ssoUser,
			SSORole ssoRole) {
		super();
		this.ssoUser = ssoUser;
		this.ssoRole = ssoRole;
	}
	
	public SSOUser getSsoUser() {
		return ssoUser;
	}

	public SSORole getSsoRole() {
		return ssoRole;
	}

}
